<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>updateUser</title>
    <link
      rel="stylesheet"
      href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
    />
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

    <title>updateUser</title>
  </head>
  <body onload="onPageLoading()">
    <div class="container jumbotron">
      <div class="text-center mb-4">
        <h3>Chi tiết User</h3>
      </div>
      <div class="row form-group">
        <div class="col-sm-4">
          <label for="">First Name</label>
        </div>
        <div class="col-sm-8">
          <input
            type="text"
            class="form-control"
            placeholder="Nhập Firstname ..."
            id="input-firstname"
          />
        </div>
      </div>
      <div class="row form-group">
        <div class="col-sm-4">
          <label for="">Last Name</label>
        </div>
        <div class="col-sm-8">
          <input
            type="text"
            class="form-control"
            placeholder="Nhập Lastname ..."
            id="input-lastname"
          />
        </div>
      </div>
      <div class="row form-group">
        <div class="col-sm-4">
          <label for="">Subject</label>
        </div>
        <div class="col-sm-8">
          <input
            type="text"
            class="form-control"
            placeholder="Nhập Subject ..."
            id="input-subject"
          />
        </div>
      </div>
      <div class="row form-group">
        <div class="col-sm-4">
          <label for="">Country</label>
        </div>
        <div class="col-sm-8">
          <select name="country" id="select-country" class="form-control">
            <option value="VN">Việt Nam</option>
            <option value="USA">USA</option>
            <option value="AUS">Australia</option>
            <option value="CAN">Việt Nam</option>
          </select>
        </div>
      </div>
      <div class="row form-group">
        <div class="col-sm-4">
          <label for="">Customer type</label>
        </div>
        <div class="col-sm-8">
          <select
            name="customertype"
            id="select-customertype"
            class="form-control"
          >
            <option value="Standard">Standard</option>
            <option value="Gold">Gold</option>
            <option value="Premium">Premium</option>
          </select>
        </div>
      </div>
      <div class="row form-group">
        <div class="col-sm-4">
          <label for="">Register Status</label>
        </div>
        <div class="col-sm-8">
          <select
            name="registerstatus"
            id="select-register-status"
            class="form-control"
          >
            <option value="New">New</option>
            <option value="Accepted">Accepted</option>
            <option value="Denied">Denied</option>
          </select>
        </div>
      </div>
      <div class="row form-group">
        <div class="col-sm-4"></div>
        <div class="col-sm-8">
          <button type="button" class="btn btn-success w-25" id="btn-update">
            Update user
          </button>
          <button type="button" class="btn btn-success w-25" id="btn-update">
            Hủy bỏ
          </button>
        </div>
      </div>
    </div>
  </body>
  <script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onPageLoading() {
      "use strict";
      //thu thập dữ liệu từ query string
      var vUrlString = window.location.href;
      var vUrl = new URL(vUrlString);
      //get parameter
      var vId = vUrl.searchParams.get("id");

      console.log(vId);
      callAPIGetDataUserById(vId);
    }

    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    //hàm load user data dùng ajax
    function callAPIGetDataUserById(paramUserId) {
      "use strict";
      $.ajax({
        url:
          "http://203.171.20.210:8080/devcamp-register-java-api/users/" +
          paramUserId,
        type: "GET",
        dataType: "json",
        success: function (res) {
          console.log(res);
          showDataUserToForm(res);
        },
        error: function (ajaxContext) {
          alert(ajaxContext.responseText);
        },
      });
    }

    //hàm xư lý hiển thị dữ liệu lên form
    function showDataUserToForm(param) {
      "use strict";
      $("#input-firstname").val(param.firstname);
      $("#input-lastname").val(param.lastname);
      $("#select-country").val(param.country);
      $("#input-subject").val(param.subject);
      $("#select-customertype").val(param.customerType);
      $("#select-register-status").val(param.registerStatus);
    }
  </script>
</html>
